Resolve Unmatched Result
curl --request POST \
--url https://api.us.junction.com/v3/unmatched_result/{raw_result_id}/resolve \
--header 'Content-Type: application/json' \
--header 'x-vital-api-key: <api-key>' \
--data '
{
"note": "<string>"
}
'import requests
url = "https://api.us.junction.com/v3/unmatched_result/{raw_result_id}/resolve"
payload = { "note": "<string>" }
headers = {
"x-vital-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-vital-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://api.us.junction.com/v3/unmatched_result/{raw_result_id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "matched",
"decision_code": "match_sample_id",
"reason": "<string>",
"lab": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sub_reason_codes": [
"lab_account_mismatch"
],
"patient": {
"first_name": "<string>",
"last_name": "<string>",
"dob": "2023-11-07T05:31:56Z",
"gender": "<string>"
},
"markers": [
{
"provider_id": "<string>",
"name": "<string>"
}
],
"interpretation": "normal",
"result_status": "final",
"note": "<string>",
"allowed_actions": [
"accept"
],
"candidate_groups": [
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidates": [
{
"candidate_type": "provenance_order",
"confidence_level": "high",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_status": "ordered",
"confidence_score": 123,
"reasons": [
"sample_id_match"
],
"marker_overlap": {},
"status_context": {}
}
]
}
],
"reviewed_at": "2023-11-07T05:31:56Z"
}{
"detail": "<unknown>"
}Unmatched Results
Resolve Unmatched Result
Reject or escalate an unmatched lab result via the Junction API. Requires authentication with your team API key.
POST
/
v3
/
unmatched_result
/
{raw_result_id}
/
resolve
Resolve Unmatched Result
This feature is in closed beta.Interested in this feature? Get in touch with your Customer Success Manager.
Authorizations
Vital Team API Key
Path Parameters
Body
application/json
Response
Successful Response
ℹ️ This enum is non-exhaustive.
Available options:
matched, pending_customer_review, pending_ops_review, resolved ℹ️ This enum is non-exhaustive.
Available options:
match_sample_id, match_completed, match_cancelled, wrong_collection, wrong_lab, multiple_demo_match, match_sample_id_mismatch_demo, match_demo, no_match Show child attributes
Show child attributes
ℹ️ This enum is non-exhaustive.
Available options:
lab_account_mismatch Show child attributes
Show child attributes
Show child attributes
Show child attributes
ℹ️ This enum is non-exhaustive.
Available options:
normal, abnormal, critical, unknown ℹ️ This enum is non-exhaustive.
Available options:
final, partial ℹ️ This enum is non-exhaustive.
Available options:
accept, reject, unsure Show child attributes
Show child attributes
Was this page helpful?